#
# spec file for package perl-IO-Compress-Lzma
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name IO-Compress-Lzma
Name:           perl-IO-Compress-Lzma
Version:        2.204
Release:        1.1
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Write lzma files/buffers
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/P/PM/PMQS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Compress::Raw::Lzma) >= 2.204
BuildRequires:  perl(IO::Compress::Base) >= 2.204
BuildRequires:  perl(IO::Uncompress::Base) >= 2.204
Requires:       perl(Compress::Raw::Lzma) >= 2.204
Requires:       perl(IO::Compress::Base) >= 2.204
Requires:       perl(IO::Uncompress::Base) >= 2.204
%{perl_requires}

%description
This module provides a Perl interface that allows writing lzma compressed
data to files or buffer.

For reading lzma files/buffers, see the companion module
IO::Uncompress::UnLzma.

%prep
%autosetup  -n %{cpan_name}-%{version}

find . -type f ! -path "*/t/*" ! -name "*.pl" ! -path "*/bin/*" ! -path "*/script/*" ! -name "configure" -print0 | xargs -0 chmod 644

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes examples README

%changelog
* Thu Feb  9 2023 Tina Müller <timueller+perl@suse.de>
- updated to 2.204
  see /usr/share/doc/packages/perl-IO-Compress-Lzma/Changes
* Sun Jun 26 2022 Tina Müller <timueller+perl@suse.de>
- updated to 2.201
  see /usr/share/doc/packages/perl-IO-Compress-Lzma/Changes
    2.201 25 June 2022
  * 2.201
    Sat Jun 25 09:06:51 2022 +0100
    3287f4e9f60e1bc04cf73ef66a73423e08e29acd
  * Add perl 5.36
    Sun Jun 5 13:37:53 2022 +0100
    130eaba57953355c04b0c9a4945530416f05c6cf
    2.103 3 April 2022
  * No changes
* Sun Feb 21 2021 Tina Müller <timueller+perl@suse.de>
- updated to 2.101
  see /usr/share/doc/packages/perl-IO-Compress-Lzma/Changes
    2.101 20 February 2021
  * fix version numbers in meta files
* Fri Jan 15 2021 Frank Schreiner <FSchreiner@suse.com>
- updated to 2.100
  see /usr/share/doc/packages/perl-IO-Compress-Lzma/Changes
* Fri Nov 13 2020 Frank Schreiner <FSchreiner@suse.com>
- updated to 2.093
  see /usr/share/doc/packages/perl-IO-Compress-Lzma/Changes
* Mon Sep  4 2017 coolo@suse.com
- updated to 2.074
  see /usr/share/doc/packages/perl-IO-Compress-Lzma/Changes
    2.074 19 Feb 2017
  * Fix bad 2.073 release
    2.073 18 Feb 2017
  * #120239: [PATCH] ISA fixes for c3
    2.072 4 Feb 2017
  * Makefile.PL
    [#120084]: Need Fix for Makefile.PL depending on . in @INC
    2.070 28 Dec 2016
  * No Changes
    2.069 26 Sep 2015
  * No Changes
* Wed Feb 18 2015 coolo@suse.com
- initial package 2.068
  * created by cpanspec 2.068
